| AI Engine-ML Intrinsics User Guide (v2025.2)

Loading...
Searching...
No Matches
Functions
Compare/Select
Vector Operations

## Overview

Intrinsics allowing you to perform compare and select operations on all types of vectors.

## sub_lt intrinsic example

v32int16 a = //init
v32int16 b = //init
v32int16 res_sub = //init
unsigned long long res_cmp = //init
res_sub = sub_lt(a, b, res_cmp);
v32int16
Definition me_chess.h:506
sub_lt
v64uint8 sub_lt(v64uint8 a, v64uint8 b, unsigned long long &cmp)
Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is ...
Definition me_vadd.h:253

## Functions
v16float | sel (v16float a, v16float b, unsigned int sel)
| Performs lane wise selection between vectors a and b. If a bit of sel if zero the lane of vector a is selected, else the lane of vector b is selected.

## Vector min/max and combined intrinsics for datatype v64uint8
v64uint8 | sub_lt (v64uint8 a, v64uint8 b, unsigned long long &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.
v64uint8 | sub_lt (v64uint8 a, v64uint8 b, bool sgn, unsigned long long &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.
v64uint8 | sub_ge (v64uint8 a, v64uint8 b, unsigned long long &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.
v64uint8 | sub_ge (v64uint8 a, v64uint8 b, bool sgn, unsigned long long &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.
v64uint8 | maxdiff_lt (v64uint8 a, v64uint8 b, unsigned long long &cmp)
| Calculates the difference between two input vectors and returns the maximum between the difference and zero. Also checks for which vector lanes a < b is fulfilled.
v64int8 | maxdiff_lt (v64int8 a, v64int8 b, unsigned long long &cmp)
| Calculates the difference between two input vectors and returns the maximum between the difference and zero. Also checks for which vector lanes a < b is fulfilled.
v64uint8 | maxdiff_lt (v64uint8 a, v64uint8 b, bool sgn, unsigned long long &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.
v64uint8 | maxdiff (v64uint8 a, v64uint8 b)
| Calculates the difference between two input vectors and returns the maximum between the difference and zero.
v64uint8 | maxdiff (v64uint8 a, v64uint8 b, bool sgn)
| Calculates the difference between two input vectors and returns the maximum between the difference and zero.
v64uint8 | min_ge (v64uint8 a, v64uint8 b, unsigned long long &cmp)
| Calculates the minimum between two input vectors. Also checks for which vector lanes (a >= b) is fulfilled.
v64int8 | min_ge (v64int8 a, v64int8 b, unsigned long long &cmp)
| Calculates the minimum between two input vectors. Also checks for which vector lanes (a >= b) is fulfilled.
v64uint8 | min_ge (v64uint8 a, v64uint8 b, bool sgn, unsigned long long &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.
v64uint8 | min (v64uint8 a, v64uint8 b)
| Calculates the minimum between two input vectors.
v64uint8 | min (v64uint8 a, v64uint8 b, bool sgn)
| Calculates the minimum between two input vectors.
v64uint8 | max_lt (v64uint8 a, v64uint8 b, unsigned long long &cmp)
| Calculates the maximum between two input vectors. Also checks for which vector lanes (a < b) is fulfilled.
v64int8 | max_lt (v64int8 a, v64int8 b, unsigned long long &cmp)
| Calculates the maximum between two input vectors. Also checks for which vector lanes (a < b) is fulfilled.
v64uint8 | max_lt (v64uint8 a, v64uint8 b, bool sgn, unsigned long long &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.
v64uint8 | max (v64uint8 a, v64uint8 b)
| Calculates the maximum between two input vectors.
v64uint8 | max (v64uint8 a, v64uint8 b, bool sgn)
| Calculates the maximum between two input vectors.

## Vector min/max and combined intrinsics for datatype v64int8
v64int8 | sub_lt (v64int8 a, v64int8 b, unsigned long long &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.
v64int8 | sub_lt (v64int8 a, v64int8 b, bool sgn, unsigned long long &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.
v64int8 | sub_ge (v64int8 a, v64int8 b, unsigned long long &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.
v64int8 | sub_ge (v64int8 a, v64int8 b, bool sgn, unsigned long long &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.
v64int8 | maxdiff_lt (v64int8 a, v64int8 b, bool sgn, unsigned long long &cmp)
| Calculates the difference between two input vectors and returns the maximum between the difference and zero. Also checks for which vector lanes a < b is fulfilled.
v64int8 | maxdiff (v64int8 a, v64int8 b)
| Calculates the difference between two input vectors and returns the maximum between the difference and zero.
v64int8 | maxdiff (v64int8 a, v64int8 b, bool sgn)
| Calculates the difference between two input vectors and returns the maximum between the difference and zero.
v64int8 | min_ge (v64int8 a, v64int8 b, bool sgn, unsigned long long &cmp)
| Calculates the minimum between two input vectors. Also checks for which vector lanes (a >= b) is fulfilled.
v64int8 | min (v64int8 a, v64int8 b)
| Calculates the minimum between two input vectors.
v64int8 | min (v64int8 a, v64int8 b, bool sgn)
| Calculates the minimum between two input vectors.
v64int8 | max_lt (v64int8 a, v64int8 b, bool sgn, unsigned long long &cmp)
| Calculates the maximum between two input vectors. Also checks for which vector lanes (a < b) is fulfilled.
v64int8 | max (v64int8 a, v64int8 b)
| Calculates the maximum between two input vectors.
v64int8 | max (v64int8 a, v64int8 b, bool sgn)
| Calculates the maximum between two input vectors.

## Vector min/max and combined intrinsics for datatype v32uint16
v32uint16 | sub_lt (v32uint16 a, v32uint16 b, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.
v32uint16 | sub_lt (v32uint16 a, v32uint16 b, bool sgn, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.
v32uint16 | sub_ge (v32uint16 a, v32uint16 b, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.
v32uint16 | sub_ge (v32uint16 a, v32uint16 b, bool sgn, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.
v32uint16 | maxdiff_lt (v32uint16 a, v32uint16 b, unsigned int &cmp)
| Calculates the difference between two input vectors and returns the maximum between the difference and zero. Also checks for which vector lanes a < b is fulfilled.
v32int16 | maxdiff_lt (v32int16 a, v32int16 b, unsigned int &cmp)
| Calculates the difference between two input vectors and returns the maximum between the difference and zero. Also checks for which vector lanes a < b is fulfilled.
v32uint16 | maxdiff_lt (v32uint16 a, v32uint16 b, bool sgn, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.
v32uint16 | maxdiff (v32uint16 a, v32uint16 b)
| Calculates the difference between two input vectors and returns the maximum between the difference and zero.
v32uint16 | maxdiff (v32uint16 a, v32uint16 b, bool sgn)
| Calculates the difference between two input vectors and returns the maximum between the difference and zero.
v32uint16 | min_ge (v32uint16 a, v32uint16 b, unsigned int &cmp)
| Calculates the minimum between two input vectors. Also checks for which vector lanes (a >= b) is fulfilled.
v32int16 | min_ge (v32int16 a, v32int16 b, unsigned int &cmp)
| Calculates the minimum between two input vectors. Also checks for which vector lanes (a >= b) is fulfilled.
v32uint16 | min_ge (v32uint16 a, v32uint16 b, bool sgn, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.
v32uint16 | min (v32uint16 a, v32uint16 b)
| Calculates the minimum between two input vectors.
v32uint16 | min (v32uint16 a, v32uint16 b, bool sgn)
| Calculates the minimum between two input vectors.
v32uint16 | max_lt (v32uint16 a, v32uint16 b, unsigned int &cmp)
| Calculates the maximum between two input vectors. Also checks for which vector lanes (a < b) is fulfilled.
v32int16 | max_lt (v32int16 a, v32int16 b, unsigned int &cmp)
| Calculates the maximum between two input vectors. Also checks for which vector lanes (a < b) is fulfilled.
v32uint16 | max_lt (v32uint16 a, v32uint16 b, bool sgn, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.
v32uint16 | max (v32uint16 a, v32uint16 b)
| Calculates the maximum between two input vectors.
v32uint16 | max (v32uint16 a, v32uint16 b, bool sgn)
| Calculates the maximum between two input vectors.

## Vector min/max and combined intrinsics for datatype v32int16
v32int16 | sub_lt (v32int16 a, v32int16 b, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.
v32int16 | sub_lt (v32int16 a, v32int16 b, bool sgn, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.
v32int16 | sub_ge (v32int16 a, v32int16 b, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.
v32int16 | sub_ge (v32int16 a, v32int16 b, bool sgn, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.
v32int16 | maxdiff_lt (v32int16 a, v32int16 b, bool sgn, unsigned int &cmp)
| Calculates the difference between two input vectors and returns the maximum between the difference and zero. Also checks for which vector lanes a < b is fulfilled.
v32int16 | maxdiff (v32int16 a, v32int16 b)
| Calculates the difference between two input vectors and returns the maximum between the difference and zero.
v32int16 | maxdiff (v32int16 a, v32int16 b, bool sgn)
| Calculates the difference between two input vectors and returns the maximum between the difference and zero.
v32int16 | min_ge (v32int16 a, v32int16 b, bool sgn, unsigned int &cmp)
| Calculates the minimum between two input vectors. Also checks for which vector lanes (a >= b) is fulfilled.
v32int16 | min (v32int16 a, v32int16 b)
| Calculates the minimum between two input vectors.
v32int16 | min (v32int16 a, v32int16 b, bool sgn)
| Calculates the minimum between two input vectors.
v32int16 | max_lt (v32int16 a, v32int16 b, bool sgn, unsigned int &cmp)
| Calculates the maximum between two input vectors. Also checks for which vector lanes (a < b) is fulfilled.
v32int16 | max (v32int16 a, v32int16 b)
| Calculates the maximum between two input vectors.
v32int16 | max (v32int16 a, v32int16 b, bool sgn)
| Calculates the maximum between two input vectors.

## Vector min/max and combined intrinsics for datatype v16uint32
v16uint32 | sub_lt (v16uint32 a, v16uint32 b, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.
v16uint32 | sub_lt (v16uint32 a, v16uint32 b, bool sgn, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.
v16uint32 | sub_ge (v16uint32 a, v16uint32 b, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.
v16uint32 | sub_ge (v16uint32 a, v16uint32 b, bool sgn, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.
v16uint32 | maxdiff_lt (v16uint32 a, v16uint32 b, unsigned int &cmp)
| Calculates the difference between two input vectors and returns the maximum between the difference and zero. Also checks for which vector lanes a < b is fulfilled.
v16int32 | maxdiff_lt (v16int32 a, v16int32 b, unsigned int &cmp)
| Calculates the difference between two input vectors and returns the maximum between the difference and zero. Also checks for which vector lanes a < b is fulfilled.
v16uint32 | maxdiff_lt (v16uint32 a, v16uint32 b, bool sgn, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.
v16uint32 | maxdiff (v16uint32 a, v16uint32 b)
| Calculates the difference between two input vectors and returns the maximum between the difference and zero.
v16uint32 | maxdiff (v16uint32 a, v16uint32 b, bool sgn)
| Calculates the difference between two input vectors and returns the maximum between the difference and zero.
v16uint32 | min_ge (v16uint32 a, v16uint32 b, unsigned int &cmp)
| Calculates the minimum between two input vectors. Also checks for which vector lanes (a >= b) is fulfilled.
v16int32 | min_ge (v16int32 a, v16int32 b, unsigned int &cmp)
| Calculates the minimum between two input vectors. Also checks for which vector lanes (a >= b) is fulfilled.
v16uint32 | min_ge (v16uint32 a, v16uint32 b, bool sgn, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.
v16uint32 | min (v16uint32 a, v16uint32 b)
| Calculates the minimum between two input vectors.
v16uint32 | min (v16uint32 a, v16uint32 b, bool sgn)
| Calculates the minimum between two input vectors.
v16uint32 | max_lt (v16uint32 a, v16uint32 b, unsigned int &cmp)
| Calculates the maximum between two input vectors. Also checks for which vector lanes (a < b) is fulfilled.
v16int32 | max_lt (v16int32 a, v16int32 b, unsigned int &cmp)
| Calculates the maximum between two input vectors. Also checks for which vector lanes (a < b) is fulfilled.
v16uint32 | max_lt (v16uint32 a, v16uint32 b, bool sgn, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.
v16uint32 | max (v16uint32 a, v16uint32 b)
| Calculates the maximum between two input vectors.
v16uint32 | max (v16uint32 a, v16uint32 b, bool sgn)
| Calculates the maximum between two input vectors.

## Vector min/max and combined intrinsics for datatype v16int32
v16int32 | sub_lt (v16int32 a, v16int32 b, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.
v16int32 | sub_lt (v16int32 a, v16int32 b, bool sgn, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.
v16int32 | sub_ge (v16int32 a, v16int32 b, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.
v16int32 | sub_ge (v16int32 a, v16int32 b, bool sgn, unsigned int &cmp)
| Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.
v16int32 | maxdiff_lt (v16int32 a, v16int32 b, bool sgn, unsigned int &cmp)
| Calculates the difference between two input vectors and returns the maximum between the difference and zero. Also checks for which vector lanes a < b is fulfilled.
v16int32 | maxdiff (v16int32 a, v16int32 b)
| Calculates the difference between two input vectors and returns the maximum between the difference and zero.
v16int32 | maxdiff (v16int32 a, v16int32 b, bool sgn)
| Calculates the difference between two input vectors and returns the maximum between the difference and zero.
v16int32 | min_ge (v16int32 a, v16int32 b, bool sgn, unsigned int &cmp)
| Calculates the minimum between two input vectors. Also checks for which vector lanes (a >= b) is fulfilled.
v16int32 | min (v16int32 a, v16int32 b)
| Calculates the minimum between two input vectors.
v16int32 | min (v16int32 a, v16int32 b, bool sgn)
| Calculates the minimum between two input vectors.
v16int32 | max_lt (v16int32 a, v16int32 b, bool sgn, unsigned int &cmp)
| Calculates the maximum between two input vectors. Also checks for which vector lanes (a < b) is fulfilled.
v16int32 | max (v16int32 a, v16int32 b)
| Calculates the maximum between two input vectors.
v16int32 | max (v16int32 a, v16int32 b, bool sgn)
| Calculates the maximum between two input vectors.

## Vector min/max and combined intrinsics for datatype v32bfloat16
v32bfloat16 | min_ge (v32bfloat16 a, v32bfloat16 b, unsigned int &cmp)
| Calculates the minimum between two input vectors. Also checks for which vector lanes (a >= b) is fulfilled.
v32bfloat16 | min (v32bfloat16 a, v32bfloat16 b)
| Calculates the minimum between two input vectors.
v32bfloat16 | max_lt (v32bfloat16 a, v32bfloat16 b, unsigned int &cmp)
| Calculates the maximum between two input vectors. Also checks for which vector lanes (a < b) is fulfilled.
v32bfloat16 | max (v32bfloat16 a, v32bfloat16 b)
| Calculates the maximum between two input vectors.

## Vector min/max and combined intrinsics for datatype v16float
unsigned int | lt (v16float v1, v16float v2)
| Vector comparison. Returns lane by lane comparison v1.lane < v2.lane.
v16float | max_lt (v16float v1, v16float v2, unsigned int &cmp)
| Vector comparison. Returns max(v1,v2) along with lane by lane comparison v1.lane0 < v2.lane0.
v16float | max (v16float v1, v16float v2)
| Vector comparison. Returns max(v1,v2)
unsigned int | ge (v16float v1, v16float v2)
| Vector comparison. Returns lane by lane comparison v1.lane >= v2.lane.
unsigned int | le (v16float a, v16float b)
| Checks for which vector lanes a <= b is fulfilled.
v16float | min_ge (v16float v1, v16float v2, unsigned int &cmp)
| Vector comparison. Returns min(v1,v2) along with lane by lane comparison v1.lane >= v2.lane.
v16float | min (v16float v1, v16float v2)
| Vector comparison. Returns min(v1,v2)
unsigned int | gt (v16float v1, v16float v2)
| Vector comparison. Returns lane by lane comparison v1.lane > v2.lane.
unsigned int | eq (v16float a, v16float b)
| Checks for which vector lanes a == b is fulfilled.
unsigned int | ne (v16float a, v16float b)
| Checks for which vector lanes a != b is fulfilled.
v16float | abs (v16float v1)
| absolute value of Vector. Returns abs(v1).
v16float | min_abs (v16float v1, v16float v2)
| Vector comparison.
v16float | max_abs (v16float v1, v16float v2)
| Vector comparison.
unsigned int | ge_abs (v16float v1, v16float v2)
| Vector comparison. Returns lane by lane comparison v1.lane >= abs(v2.lane)
unsigned int | lt_abs (v16float v1, v16float v2)
unsigned int | operator< (v16float a, v16float b)
unsigned int | operator>= (v16float a, v16float b)
unsigned int | operator> (v16float a, v16float b)
unsigned int | operator== (v16float a, v16float b)
unsigned int | operator!= (v16float a, v16float b)

## Function Documentation

## ◆ abs()

v16float abs | ( | v16float | v1 | ) |

absolute value of Vector. Returns abs(v1).

Parameters

  v1 | Vector a

Returns
  Result of operation abs(a)

## ◆ eq()

unsigned int eq | ( | v16float | a,
|  | v16float | b )

Checks for which vector lanes a == b is fulfilled.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of: a == b

## ◆ ge()

unsigned int ge | ( | v16float | v1,
|  | v16float | v2 )

Vector comparison. Returns lane by lane comparison v1.lane >= v2.lane.

Parameters

  v1 | Vector a
  v2 | Vector b

Returns
  Result of operation (a>=b)

## ◆ ge_abs()

unsigned int ge_abs | ( | v16float | v1,
|  | v16float | v2 )

Vector comparison. Returns lane by lane comparison v1.lane >= abs(v2.lane)

Parameters

  v1 | Vector a
  v2 | Vector b

Returns
  Result of operation (a>=abs(b))

## ◆ gt()

unsigned int gt | ( | v16float | v1,
|  | v16float | v2 )

Vector comparison. Returns lane by lane comparison v1.lane > v2.lane.

Parameters

  v1 | Vector a
  v2 | Vector b

Returns
  Result of operation (a>b)

## ◆ le()

unsigned int le | ( | v16float | a,
|  | v16float | b )

Checks for which vector lanes a <= b is fulfilled.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of: a <= b

## ◆ lt()

unsigned int lt | ( | v16float | v1,
|  | v16float | v2 )

Vector comparison. Returns lane by lane comparison v1.lane < v2.lane.

Parameters

  v1 | Vector a
  v2 | Vector b

Returns
  Result of operation (a<b)

## ◆ lt_abs()

unsigned int lt_abs | ( | v16float | v1,
|  | v16float | v2 )

Parameters

  v1 | Vector a
  v2 | Vector b

Returns
  Result of operation (a

## ◆ max() [1/14]

v16float max | ( | v16float | v1,
|  | v16float | v2 )

Vector comparison. Returns max(v1,v2)

Parameters

  v1 | Vector a
  v2 | Vector b

Returns
  Result of operation max(a,b)

## ◆ max() [2/14]

v16int32 max | ( | v16int32 | a,
|  | v16int32 | b )

Calculates the maximum between two input vectors.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of operation: max(a, b)

## ◆ max() [3/14]

v16int32 max | ( | v16int32 | a,
|  | v16int32 | b,
|  | bool | sgn )

Calculates the maximum between two input vectors.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned

Returns
  Result of operation: max(a, b)

## ◆ max() [4/14]

v16uint32 max | ( | v16uint32 | a,
|  | v16uint32 | b )

Calculates the maximum between two input vectors.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of operation: max(a, b)

## ◆ max() [5/14]

v16uint32 max | ( | v16uint32 | a,
|  | v16uint32 | b,
|  | bool | sgn )

Calculates the maximum between two input vectors.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned

Returns
  Result of operation: max(a, b)

## ◆ max() [6/14]

v32bfloat16 max | ( | v32bfloat16 | a,
|  | v32bfloat16 | b )

Calculates the maximum between two input vectors.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of operation: max(a, b)

## ◆ max() [7/14]

v32int16 max | ( | v32int16 | a,
|  | v32int16 | b )

Calculates the maximum between two input vectors.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of operation: max(a, b)

## ◆ max() [8/14]

v32int16 max | ( | v32int16 | a,
|  | v32int16 | b,
|  | bool | sgn )

Calculates the maximum between two input vectors.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned

Returns
  Result of operation: max(a, b)

## ◆ max() [9/14]

v32uint16 max | ( | v32uint16 | a,
|  | v32uint16 | b )

Calculates the maximum between two input vectors.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of operation: max(a, b)

## ◆ max() [10/14]

v32uint16 max | ( | v32uint16 | a,
|  | v32uint16 | b,
|  | bool | sgn )

Calculates the maximum between two input vectors.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned

Returns
  Result of operation: max(a, b)

## ◆ max() [11/14]

v64int8 max | ( | v64int8 | a,
|  | v64int8 | b )

Calculates the maximum between two input vectors.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of operation: max(a, b)

## ◆ max() [12/14]

v64int8 max | ( | v64int8 | a,
|  | v64int8 | b,
|  | bool | sgn )

Calculates the maximum between two input vectors.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned

Returns
  Result of operation: max(a, b)

## ◆ max() [13/14]

v64uint8 max | ( | v64uint8 | a,
|  | v64uint8 | b )

Calculates the maximum between two input vectors.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of operation: max(a, b)

## ◆ max() [14/14]

v64uint8 max | ( | v64uint8 | a,
|  | v64uint8 | b,
|  | bool | sgn )

Calculates the maximum between two input vectors.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned

Returns
  Result of operation: max(a, b)

## ◆ max_abs()

v16float max_abs | ( | v16float | v1,
|  | v16float | v2 )

Vector comparison.

Parameters

  v1 | Vector a
  v2 | Vector b

Returns
  Result of operation max(a,abs(b))

## ◆ max_lt() [1/14]

v16float max_lt | ( | v16float | v1,
|  | v16float | v2,
|  | unsigned int & | cmp )

Vector comparison. Returns max(v1,v2) along with lane by lane comparison v1.lane0 < v2.lane0.

Parameters

  v1 | Vector a
  v2 | Vector b
  cmp | Result of operation a<b

Returns
  Result of operation max(a,b)

## ◆ max_lt() [2/14]

v16int32 max_lt | ( | v16int32 | a,
|  | v16int32 | b,
|  | bool | sgn,
|  | unsigned int & | cmp )

Calculates the maximum between two input vectors. Also checks for which vector lanes (a < b) is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a < b

Returns
  Result of operation: max(a, b)

## ◆ max_lt() [3/14]

v16int32 max_lt | ( | v16int32 | a,
|  | v16int32 | b,
|  | unsigned int & | cmp )

Calculates the maximum between two input vectors. Also checks for which vector lanes (a < b) is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a < b

Returns
  Result of operation: max(a, b)

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of operation: max(a, b)

## ◆ max_lt() [4/14]

v16uint32 max_lt | ( | v16uint32 | a,
|  | v16uint32 | b,
|  | bool | sgn,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of subtraction (a-b)

## ◆ max_lt() [5/14]

v16uint32 max_lt | ( | v16uint32 | a,
|  | v16uint32 | b,
|  | unsigned int & | cmp )

Calculates the maximum between two input vectors. Also checks for which vector lanes (a < b) is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of operation: max(a, b)

## ◆ max_lt() [6/14]

v32bfloat16 max_lt | ( | v32bfloat16 | a,
|  | v32bfloat16 | b,
|  | unsigned int & | cmp )

Calculates the maximum between two input vectors. Also checks for which vector lanes (a < b) is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of operation: max(a, b)

## ◆ max_lt() [7/14]

v32int16 max_lt | ( | v32int16 | a,
|  | v32int16 | b,
|  | bool | sgn,
|  | unsigned int & | cmp )

Calculates the maximum between two input vectors. Also checks for which vector lanes (a < b) is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a < b

Returns
  Result of operation: max(a, b)

## ◆ max_lt() [8/14]

v32int16 max_lt | ( | v32int16 | a,
|  | v32int16 | b,
|  | unsigned int & | cmp )

Calculates the maximum between two input vectors. Also checks for which vector lanes (a < b) is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a < b

Returns
  Result of operation: max(a, b)

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of operation: max(a, b)

## ◆ max_lt() [9/14]

v32uint16 max_lt | ( | v32uint16 | a,
|  | v32uint16 | b,
|  | bool | sgn,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of subtraction (a-b)

## ◆ max_lt() [10/14]

v32uint16 max_lt | ( | v32uint16 | a,
|  | v32uint16 | b,
|  | unsigned int & | cmp )

Calculates the maximum between two input vectors. Also checks for which vector lanes (a < b) is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of operation: max(a, b)

## ◆ max_lt() [11/14]

v64int8 max_lt | ( | v64int8 | a,
|  | v64int8 | b,
|  | bool | sgn,
|  | unsigned long long & | cmp )

Calculates the maximum between two input vectors. Also checks for which vector lanes (a < b) is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a < b

Returns
  Result of operation: max(a, b)

## ◆ max_lt() [12/14]

v64int8 max_lt | ( | v64int8 | a,
|  | v64int8 | b,
|  | unsigned long long & | cmp )

Calculates the maximum between two input vectors. Also checks for which vector lanes (a < b) is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a < b

Returns
  Result of operation: max(a, b)

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of operation: max(a, b)

## ◆ max_lt() [13/14]

v64uint8 max_lt | ( | v64uint8 | a,
|  | v64uint8 | b,
|  | bool | sgn,
|  | unsigned long long & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of subtraction (a-b)

## ◆ max_lt() [14/14]

v64uint8 max_lt | ( | v64uint8 | a,
|  | v64uint8 | b,
|  | unsigned long long & | cmp )

Calculates the maximum between two input vectors. Also checks for which vector lanes (a < b) is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of operation: max(a, b)

## ◆ maxdiff() [1/12]

v16int32 maxdiff | ( | v16int32 | a,
|  | v16int32 | b )

Calculates the difference between two input vectors and returns the maximum between the difference and zero.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of operation: max(a-b, 0)

## ◆ maxdiff() [2/12]

v16int32 maxdiff | ( | v16int32 | a,
|  | v16int32 | b,
|  | bool | sgn )

Calculates the difference between two input vectors and returns the maximum between the difference and zero.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned

Returns
  Result of operation: max(a-b, 0)

## ◆ maxdiff() [3/12]

v16uint32 maxdiff | ( | v16uint32 | a,
|  | v16uint32 | b )

Calculates the difference between two input vectors and returns the maximum between the difference and zero.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of operation: max(a-b, 0)

## ◆ maxdiff() [4/12]

v16uint32 maxdiff | ( | v16uint32 | a,
|  | v16uint32 | b,
|  | bool | sgn )

Calculates the difference between two input vectors and returns the maximum between the difference and zero.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned

Returns
  Result of operation: max(a-b, 0)

## ◆ maxdiff() [5/12]

v32int16 maxdiff | ( | v32int16 | a,
|  | v32int16 | b )

Calculates the difference between two input vectors and returns the maximum between the difference and zero.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of operation: max(a-b, 0)

## ◆ maxdiff() [6/12]

v32int16 maxdiff | ( | v32int16 | a,
|  | v32int16 | b,
|  | bool | sgn )

Calculates the difference between two input vectors and returns the maximum between the difference and zero.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned

Returns
  Result of operation: max(a-b, 0)

## ◆ maxdiff() [7/12]

v32uint16 maxdiff | ( | v32uint16 | a,
|  | v32uint16 | b )

Calculates the difference between two input vectors and returns the maximum between the difference and zero.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of operation: max(a-b, 0)

## ◆ maxdiff() [8/12]

v32uint16 maxdiff | ( | v32uint16 | a,
|  | v32uint16 | b,
|  | bool | sgn )

Calculates the difference between two input vectors and returns the maximum between the difference and zero.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned

Returns
  Result of operation: max(a-b, 0)

## ◆ maxdiff() [9/12]

v64int8 maxdiff | ( | v64int8 | a,
|  | v64int8 | b )

Calculates the difference between two input vectors and returns the maximum between the difference and zero.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of operation: max(a-b, 0)

## ◆ maxdiff() [10/12]

v64int8 maxdiff | ( | v64int8 | a,
|  | v64int8 | b,
|  | bool | sgn )

Calculates the difference between two input vectors and returns the maximum between the difference and zero.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned

Returns
  Result of operation: max(a-b, 0)

## ◆ maxdiff() [11/12]

v64uint8 maxdiff | ( | v64uint8 | a,
|  | v64uint8 | b )

Calculates the difference between two input vectors and returns the maximum between the difference and zero.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of operation: max(a-b, 0)

## ◆ maxdiff() [12/12]

v64uint8 maxdiff | ( | v64uint8 | a,
|  | v64uint8 | b,
|  | bool | sgn )

Calculates the difference between two input vectors and returns the maximum between the difference and zero.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned

Returns
  Result of operation: max(a-b, 0)

## ◆ maxdiff_lt() [1/12]

v16int32 maxdiff_lt | ( | v16int32 | a,
|  | v16int32 | b,
|  | bool | sgn,
|  | unsigned int & | cmp )

Calculates the difference between two input vectors and returns the maximum between the difference and zero. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a < b

Returns
  Result of operation: max(a-b, 0)

## ◆ maxdiff_lt() [2/12]

v16int32 maxdiff_lt | ( | v16int32 | a,
|  | v16int32 | b,
|  | unsigned int & | cmp )

Calculates the difference between two input vectors and returns the maximum between the difference and zero. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a < b

Returns
  Result of operation: max(a-b, 0)

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of operation: max(a-b, 0)

## ◆ maxdiff_lt() [3/12]

v16uint32 maxdiff_lt | ( | v16uint32 | a,
|  | v16uint32 | b,
|  | bool | sgn,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of subtraction (a-b)

## ◆ maxdiff_lt() [4/12]

v16uint32 maxdiff_lt | ( | v16uint32 | a,
|  | v16uint32 | b,
|  | unsigned int & | cmp )

Calculates the difference between two input vectors and returns the maximum between the difference and zero. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of operation: max(a-b, 0)

## ◆ maxdiff_lt() [5/12]

v32int16 maxdiff_lt | ( | v32int16 | a,
|  | v32int16 | b,
|  | bool | sgn,
|  | unsigned int & | cmp )

Calculates the difference between two input vectors and returns the maximum between the difference and zero. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a < b

Returns
  Result of operation: max(a-b, 0)

## ◆ maxdiff_lt() [6/12]

v32int16 maxdiff_lt | ( | v32int16 | a,
|  | v32int16 | b,
|  | unsigned int & | cmp )

Calculates the difference between two input vectors and returns the maximum between the difference and zero. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a < b

Returns
  Result of operation: max(a-b, 0)

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of operation: max(a-b, 0)

## ◆ maxdiff_lt() [7/12]

v32uint16 maxdiff_lt | ( | v32uint16 | a,
|  | v32uint16 | b,
|  | bool | sgn,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of subtraction (a-b)

## ◆ maxdiff_lt() [8/12]

v32uint16 maxdiff_lt | ( | v32uint16 | a,
|  | v32uint16 | b,
|  | unsigned int & | cmp )

Calculates the difference between two input vectors and returns the maximum between the difference and zero. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of operation: max(a-b, 0)

## ◆ maxdiff_lt() [9/12]

v64int8 maxdiff_lt | ( | v64int8 | a,
|  | v64int8 | b,
|  | bool | sgn,
|  | unsigned long long & | cmp )

Calculates the difference between two input vectors and returns the maximum between the difference and zero. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a < b

Returns
  Result of operation: max(a-b, 0)

## ◆ maxdiff_lt() [10/12]

v64int8 maxdiff_lt | ( | v64int8 | a,
|  | v64int8 | b,
|  | unsigned long long & | cmp )

Calculates the difference between two input vectors and returns the maximum between the difference and zero. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a < b

Returns
  Result of operation: max(a-b, 0)

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of operation: max(a-b, 0)

## ◆ maxdiff_lt() [11/12]

v64uint8 maxdiff_lt | ( | v64uint8 | a,
|  | v64uint8 | b,
|  | bool | sgn,
|  | unsigned long long & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of subtraction (a-b)

## ◆ maxdiff_lt() [12/12]

v64uint8 maxdiff_lt | ( | v64uint8 | a,
|  | v64uint8 | b,
|  | unsigned long long & | cmp )

Calculates the difference between two input vectors and returns the maximum between the difference and zero. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of operation: max(a-b, 0)

## ◆ min() [1/14]

v16float min | ( | v16float | v1,
|  | v16float | v2 )

Vector comparison. Returns min(v1,v2)

Parameters

  v1 | Vector a
  v2 | Vector b

Returns
  Result of operation min(a,b)

## ◆ min() [2/14]

v16int32 min | ( | v16int32 | a,
|  | v16int32 | b )

Calculates the minimum between two input vectors.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of operation: min(a, b)

## ◆ min() [3/14]

v16int32 min | ( | v16int32 | a,
|  | v16int32 | b,
|  | bool | sgn )

Calculates the minimum between two input vectors.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned

Returns
  Result of operation: min(a, b)

## ◆ min() [4/14]

v16uint32 min | ( | v16uint32 | a,
|  | v16uint32 | b )

Calculates the minimum between two input vectors.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of operation: min(a, b)

## ◆ min() [5/14]

v16uint32 min | ( | v16uint32 | a,
|  | v16uint32 | b,
|  | bool | sgn )

Calculates the minimum between two input vectors.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned

Returns
  Result of operation: min(a, b)

## ◆ min() [6/14]

v32bfloat16 min | ( | v32bfloat16 | a,
|  | v32bfloat16 | b )

Calculates the minimum between two input vectors.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of operation: min(a, b)

## ◆ min() [7/14]

v32int16 min | ( | v32int16 | a,
|  | v32int16 | b )

Calculates the minimum between two input vectors.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of operation: min(a, b)

## ◆ min() [8/14]

v32int16 min | ( | v32int16 | a,
|  | v32int16 | b,
|  | bool | sgn )

Calculates the minimum between two input vectors.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned

Returns
  Result of operation: min(a, b)

## ◆ min() [9/14]

v32uint16 min | ( | v32uint16 | a,
|  | v32uint16 | b )

Calculates the minimum between two input vectors.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of operation: min(a, b)

## ◆ min() [10/14]

v32uint16 min | ( | v32uint16 | a,
|  | v32uint16 | b,
|  | bool | sgn )

Calculates the minimum between two input vectors.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned

Returns
  Result of operation: min(a, b)

## ◆ min() [11/14]

v64int8 min | ( | v64int8 | a,
|  | v64int8 | b )

Calculates the minimum between two input vectors.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of operation: min(a, b)

## ◆ min() [12/14]

v64int8 min | ( | v64int8 | a,
|  | v64int8 | b,
|  | bool | sgn )

Calculates the minimum between two input vectors.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned

Returns
  Result of operation: min(a, b)

## ◆ min() [13/14]

v64uint8 min | ( | v64uint8 | a,
|  | v64uint8 | b )

Calculates the minimum between two input vectors.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of operation: min(a, b)

## ◆ min() [14/14]

v64uint8 min | ( | v64uint8 | a,
|  | v64uint8 | b,
|  | bool | sgn )

Calculates the minimum between two input vectors.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned

Returns
  Result of operation: min(a, b)

## ◆ min_abs()

v16float min_abs | ( | v16float | v1,
|  | v16float | v2 )

Vector comparison.

Parameters

  v1 | Vector a
  v2 | Vector b

Returns
  Result of operation min(a,abs(b))

## ◆ min_ge() [1/14]

v16float min_ge | ( | v16float | v1,
|  | v16float | v2,
|  | unsigned int & | cmp )

Vector comparison. Returns min(v1,v2) along with lane by lane comparison v1.lane >= v2.lane.

Parameters

  v1 | Vector a
  v2 | Vector b
  cmp | Result of operation a>=b

Returns
  Result of operation min(a,b)

## ◆ min_ge() [2/14]

v16int32 min_ge | ( | v16int32 | a,
|  | v16int32 | b,
|  | bool | sgn,
|  | unsigned int & | cmp )

Calculates the minimum between two input vectors. Also checks for which vector lanes (a >= b) is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a >= b

Returns
  Result of operation: min(a, b)

## ◆ min_ge() [3/14]

v16int32 min_ge | ( | v16int32 | a,
|  | v16int32 | b,
|  | unsigned int & | cmp )

Calculates the minimum between two input vectors. Also checks for which vector lanes (a >= b) is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a >= b

Returns
  Result of operation: min(a, b)

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a >= b

Returns
  Result of operation: min(a, b)

## ◆ min_ge() [4/14]

v16uint32 min_ge | ( | v16uint32 | a,
|  | v16uint32 | b,
|  | bool | sgn,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of subtraction (a-b)

## ◆ min_ge() [5/14]

v16uint32 min_ge | ( | v16uint32 | a,
|  | v16uint32 | b,
|  | unsigned int & | cmp )

Calculates the minimum between two input vectors. Also checks for which vector lanes (a >= b) is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a >= b

Returns
  Result of operation: min(a, b)

## ◆ min_ge() [6/14]

v32bfloat16 min_ge | ( | v32bfloat16 | a,
|  | v32bfloat16 | b,
|  | unsigned int & | cmp )

Calculates the minimum between two input vectors. Also checks for which vector lanes (a >= b) is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a >= b

Returns
  Result of operation: min(a, b)

## ◆ min_ge() [7/14]

v32int16 min_ge | ( | v32int16 | a,
|  | v32int16 | b,
|  | bool | sgn,
|  | unsigned int & | cmp )

Calculates the minimum between two input vectors. Also checks for which vector lanes (a >= b) is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a >= b

Returns
  Result of operation: min(a, b)

## ◆ min_ge() [8/14]

v32int16 min_ge | ( | v32int16 | a,
|  | v32int16 | b,
|  | unsigned int & | cmp )

Calculates the minimum between two input vectors. Also checks for which vector lanes (a >= b) is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a >= b

Returns
  Result of operation: min(a, b)

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a >= b

Returns
  Result of operation: min(a, b)

## ◆ min_ge() [9/14]

v32uint16 min_ge | ( | v32uint16 | a,
|  | v32uint16 | b,
|  | bool | sgn,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of subtraction (a-b)

## ◆ min_ge() [10/14]

v32uint16 min_ge | ( | v32uint16 | a,
|  | v32uint16 | b,
|  | unsigned int & | cmp )

Calculates the minimum between two input vectors. Also checks for which vector lanes (a >= b) is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a >= b

Returns
  Result of operation: min(a, b)

## ◆ min_ge() [11/14]

v64int8 min_ge | ( | v64int8 | a,
|  | v64int8 | b,
|  | bool | sgn,
|  | unsigned long long & | cmp )

Calculates the minimum between two input vectors. Also checks for which vector lanes (a >= b) is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a >= b

Returns
  Result of operation: min(a, b)

## ◆ min_ge() [12/14]

v64int8 min_ge | ( | v64int8 | a,
|  | v64int8 | b,
|  | unsigned long long & | cmp )

Calculates the minimum between two input vectors. Also checks for which vector lanes (a >= b) is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a >= b

Returns
  Result of operation: min(a, b)

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a >= b

Returns
  Result of operation: min(a, b)

## ◆ min_ge() [13/14]

v64uint8 min_ge | ( | v64uint8 | a,
|  | v64uint8 | b,
|  | bool | sgn,
|  | unsigned long long & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of subtraction (a-b)

## ◆ min_ge() [14/14]

v64uint8 min_ge | ( | v64uint8 | a,
|  | v64uint8 | b,
|  | unsigned long long & | cmp )

Calculates the minimum between two input vectors. Also checks for which vector lanes (a >= b) is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a >= b

Returns
  Result of operation: min(a, b)

## ◆ ne()

unsigned int ne | ( | v16float | a,
|  | v16float | b )

Checks for which vector lanes a != b is fulfilled.

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of: a != b

## ◆ operator!=()

unsigned int operator!= | ( | v16float | a,
|  | v16float | b )

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of: a != b

## ◆ operator<()

unsigned int operator< | ( | v16float | a,
|  | v16float | b )

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of: a < b

## ◆ operator==()

unsigned int operator== | ( | v16float | a,
|  | v16float | b )

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of: a == b

## ◆ operator>()

unsigned int operator> | ( | v16float | a,
|  | v16float | b )

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of: a > b

## ◆ operator>=()

unsigned int operator>= | ( | v16float | a,
|  | v16float | b )

Parameters

  a | Vector a
  b | Vector b

Returns
  Result of: a >= b

## ◆ sel()

v16float sel | ( | v16float | a,
|  | v16float | b,
|  | unsigned int | sel )

Performs lane wise selection between vectors a and b. If a bit of sel if zero the lane of vector a is selected, else the lane of vector b is selected.

Parameters

  a | Vector a
  b | Vector b
  sel | Selection condition.

Returns
  Result of the selection

## ◆ sub_ge() [1/12]

v16int32 sub_ge | ( | v16int32 | a,
|  | v16int32 | b,
|  | bool | sgn,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a >= b

Returns
  Result of subtraction (a-b)

## ◆ sub_ge() [2/12]

v16int32 sub_ge | ( | v16int32 | a,
|  | v16int32 | b,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a >= b

Returns
  Result of subtraction (a-b)

## ◆ sub_ge() [3/12]

v16uint32 sub_ge | ( | v16uint32 | a,
|  | v16uint32 | b,
|  | bool | sgn,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a >= b

Returns
  Result of subtraction (a-b)

## ◆ sub_ge() [4/12]

v16uint32 sub_ge | ( | v16uint32 | a,
|  | v16uint32 | b,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a >= b

Returns
  Result of subtraction (a-b)

## ◆ sub_ge() [5/12]

v32int16 sub_ge | ( | v32int16 | a,
|  | v32int16 | b,
|  | bool | sgn,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a >= b

Returns
  Result of subtraction (a-b)

## ◆ sub_ge() [6/12]

v32int16 sub_ge | ( | v32int16 | a,
|  | v32int16 | b,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a >= b

Returns
  Result of subtraction (a-b)

## ◆ sub_ge() [7/12]

v32uint16 sub_ge | ( | v32uint16 | a,
|  | v32uint16 | b,
|  | bool | sgn,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a >= b

Returns
  Result of subtraction (a-b)

## ◆ sub_ge() [8/12]

v32uint16 sub_ge | ( | v32uint16 | a,
|  | v32uint16 | b,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a >= b

Returns
  Result of subtraction (a-b)

## ◆ sub_ge() [9/12]

v64int8 sub_ge | ( | v64int8 | a,
|  | v64int8 | b,
|  | bool | sgn,
|  | unsigned long long & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a >= b

Returns
  Result of subtraction (a-b)

## ◆ sub_ge() [10/12]

v64int8 sub_ge | ( | v64int8 | a,
|  | v64int8 | b,
|  | unsigned long long & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a >= b

Returns
  Result of subtraction (a-b)

## ◆ sub_ge() [11/12]

v64uint8 sub_ge | ( | v64uint8 | a,
|  | v64uint8 | b,
|  | bool | sgn,
|  | unsigned long long & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a >= b

Returns
  Result of subtraction (a-b)

## ◆ sub_ge() [12/12]

v64uint8 sub_ge | ( | v64uint8 | a,
|  | v64uint8 | b,
|  | unsigned long long & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a >= b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a >= b

Returns
  Result of subtraction (a-b)

## ◆ sub_lt() [1/12]

v16int32 sub_lt | ( | v16int32 | a,
|  | v16int32 | b,
|  | bool | sgn,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a < b

Returns
  Result of subtraction (a-b)

## ◆ sub_lt() [2/12]

v16int32 sub_lt | ( | v16int32 | a,
|  | v16int32 | b,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of subtraction (a-b)

## ◆ sub_lt() [3/12]

v16uint32 sub_lt | ( | v16uint32 | a,
|  | v16uint32 | b,
|  | bool | sgn,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a < b

Returns
  Result of subtraction (a-b)

## ◆ sub_lt() [4/12]

v16uint32 sub_lt | ( | v16uint32 | a,
|  | v16uint32 | b,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of subtraction (a-b)

## ◆ sub_lt() [5/12]

v32int16 sub_lt | ( | v32int16 | a,
|  | v32int16 | b,
|  | bool | sgn,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a < b

Returns
  Result of subtraction (a-b)

## ◆ sub_lt() [6/12]

v32int16 sub_lt | ( | v32int16 | a,
|  | v32int16 | b,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of subtraction (a-b)

## ◆ sub_lt() [7/12]

v32uint16 sub_lt | ( | v32uint16 | a,
|  | v32uint16 | b,
|  | bool | sgn,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a < b

Returns
  Result of subtraction (a-b)

## ◆ sub_lt() [8/12]

v32uint16 sub_lt | ( | v32uint16 | a,
|  | v32uint16 | b,
|  | unsigned int & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of subtraction (a-b)

## ◆ sub_lt() [9/12]

v64int8 sub_lt | ( | v64int8 | a,
|  | v64int8 | b,
|  | bool | sgn,
|  | unsigned long long & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a < b

Returns
  Result of subtraction (a-b)

## ◆ sub_lt() [10/12]

v64int8 sub_lt | ( | v64int8 | a,
|  | v64int8 | b,
|  | unsigned long long & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of subtraction (a-b)

## ◆ sub_lt() [11/12]

v64uint8 sub_lt | ( | v64uint8 | a,
|  | v64uint8 | b,
|  | bool | sgn,
|  | unsigned long long & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  sgn | Sign flag. If it is one, vectors a and b are signed else they are unsigned
  cmp | Result of: a < b

Returns
  Result of subtraction (a-b)

## ◆ sub_lt() [12/12]

v64uint8 sub_lt | ( | v64uint8 | a,
|  | v64uint8 | b,
|  | unsigned long long & | cmp )

Performs vector subraction (a-b) and returns the result. Also checks for which vector lanes a < b is fulfilled.

Parameters

  a | Vector a
  b | Vector b
  cmp | Result of: a < b

Returns
  Result of subtraction (a-b)